SpellingParams (Solr 3.6.2 API)
Keywords: org.apache.solr.common.params.SpellingParams interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common.params
Interface SpellingParams

All Known Implementing Classes:
  SpellCheckComponent

    public interface SpellingParams

Parameters used for spellchecking

Since:
  solr 1.3

Field Summary
`static String` | `SPELLCHECK_ACCURACY` Certain spelling implementations may allow for an accuracy setting.
`static String` | `SPELLCHECK_BUILD` Whether to build the index or not.
`static String` | `SPELLCHECK_COLLATE` Take the top suggestion for each token and create a new query from it
`static String` | `SPELLCHECK_COLLATE_EXTENDED_RESULTS` Whether to use the Extended Results Format for collations.
`static String` | `SPELLCHECK_COUNT` The count of suggestions needed for a given query.
`static String` | `SPELLCHECK_DICT` The name of the dictionary to be used for giving the suggestion for a request.
`static String` | `SPELLCHECK_EXTENDED_RESULTS` Whether to use the extended response format, which is more complicated but richer.
`static String` | `SPELLCHECK_MAX_COLLATION_EVALUATIONS` The maximum number of word correction combinations to rank and evaluate prior to deciding which collation candidates to test against the index.
`static String` | `SPELLCHECK_MAX_COLLATION_TRIES` The maximum number of collations to test by querying against the index.
`static String` | `SPELLCHECK_MAX_COLLATIONS` The maximum number of collations to return.
`static String` | `SPELLCHECK_ONLY_MORE_POPULAR` When this parameter is set to true and the misspelled word exists in the user field, only words that occur more frequently in the Solr field than the one given will be returned.
`static String` | `SPELLCHECK_PREFIX`
`static String` | `SPELLCHECK_Q` Use the value for this parameter as the query to spell check.
`static String` | `SPELLCHECK_RELOAD` Whether to reload the index.

Field Detail

### SPELLCHECK_PREFIX

    static final String SPELLCHECK_PREFIX

See Also:
  Constant Field Values

### SPELLCHECK_DICT

    static final String SPELLCHECK_DICT

  The name of the dictionary to be used for giving the suggestion for a request. The value for this parameter is configured in solrconfig.xml

  See Also:
    Constant Field Values

### SPELLCHECK_COUNT

    static final String SPELLCHECK_COUNT

  The count of suggestions needed for a given query.

  If this parameter is absent in the request then only one suggestion is returned. If it is more than one then a maximum of given suggestions are returned for each token in the query.

  See Also:
    Constant Field Values

### SPELLCHECK_ONLY_MORE_POPULAR

    static final String SPELLCHECK_ONLY_MORE_POPULAR

  When this parameter is set to true and the misspelled word exists in the user field, only words that occur more frequently in the Solr field than the one given will be returned. The default value is false.

  This is applicable only for dictionaries built from Solr fields.

  See Also:
    Constant Field Values

### SPELLCHECK_EXTENDED_RESULTS

    static final String SPELLCHECK_EXTENDED_RESULTS

  Whether to use the extended response format, which is more complicated but richer. Returns the document frequency for each suggestion and returns one suggestion block for each term in the query string. Default is false.

  This is applicable only for dictionaries built from Solr fields.

  See Also:
    Constant Field Values

### SPELLCHECK_Q

    static final String SPELLCHECK_Q

  Use the value for this parameter as the query to spell check.

  This parameter is optional. If absent, then the q parameter is used.

  See Also:
    Constant Field Values

### SPELLCHECK_BUILD

    static final String SPELLCHECK_BUILD

  Whether to build the index or not. Optional and false by default.

  See Also:
    Constant Field Values

### SPELLCHECK_RELOAD

    static final String SPELLCHECK_RELOAD

  Whether to reload the index. Optional and false by default.

  See Also:
    Constant Field Values

### SPELLCHECK_COLLATE

    static final String SPELLCHECK_COLLATE

  Take the top suggestion for each token and create a new query from it

  See Also:
    Constant Field Values

### SPELLCHECK_MAX_COLLATIONS

    static final String SPELLCHECK_MAX_COLLATIONS

  The maximum number of collations to return. Default=1. Ignored if "spellcheck.collate" is false.

  See Also:
    Constant Field Values

### SPELLCHECK_MAX_COLLATION_TRIES

    static final String SPELLCHECK_MAX_COLLATION_TRIES

  The maximum number of collations to test by querying against the index. When testing, the collation is substituted for the original query's "q" param. Any "qf"s are retained. If this is set to zero, does not test for hits before returning collations (returned collations may result in zero hits). Default=0. Ignored of "spellcheck.collate" is false.

  See Also:
    Constant Field Values

### SPELLCHECK_MAX_COLLATION_EVALUATIONS

    static final String SPELLCHECK_MAX_COLLATION_EVALUATIONS

  The maximum number of word correction combinations to rank and evaluate prior to deciding which collation candidates to test against the index. This is a performance safety-net in cases a user enters a query with many misspelled words. The default is 10,000 combinations.

  See Also:
    Constant Field Values

### SPELLCHECK_COLLATE_EXTENDED_RESULTS

    static final String SPELLCHECK_COLLATE_EXTENDED_RESULTS

  Whether to use the Extended Results Format for collations. Includes "before>after" pairs to easily allow clients to generate messages like "no results for PORK. did you mean POLK?" Also indicates the # of hits each collation will return on re-query. Default=false, which retains 1.4-compatible output.

  See Also:
    Constant Field Values

### SPELLCHECK_ACCURACY

    static final String SPELLCHECK_ACCURACY

  Certain spelling implementations may allow for an accuracy setting.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD